/*

COPYRIGHT AND PERMISSION NOTICE

Copyright (c) 2001,2002 Juan J. Martinez Siguenza
All rights reserved.

<reidrac@rocketmail.com>

Permission is hereby granted, free of charge, to any person obtaining a
copy of this software and associated documentation files (the "Software"),
to deal in the Software without restriction, including without limitation
the rights to use, copy, modify, merge, publish, distribute, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright
   notice, this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright
   notice, this list of conditions and the following disclaimer in the
   documentation and/or other materials provided with the distribution.

3. The name of the copyright holder(s) may not be used to endorse or
   promote products derived from this software without specific prior
   written permission.

4. Altered source versions must be plainly marked as such, and must not
   be misrepresented as being the original software. You must cause the
   modified files to carry prominent notices stating that you changed
   the files and the date of any change.

THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
IN NO EVENT SHALL THE COPYRIGHT HOLDER OR HOLDERS INCLUDED IN THIS NOTICE
BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
THE POSSIBILITY OF SUCH DAMAGE.


	Hit Count v1.3 - A simple cgi hit counter

*/


#ifndef _COUNTER_H_
#define _COUNTER_H_

#include<stdio.h>
#include<jpeglib.h>
#include<stdlib.h>
#include<unistd.h>
#include<string.h>
#include<time.h>

#ifdef _WIN32_

#include<fcntl.h>
#include<windows.h>

#endif

void doLog(char *id);
void doError(char *id, char *desc);
void addNum(int y, long int number, unsigned char r, unsigned char g, unsigned char b);
long int getDb(char *cnum, char *ref);

#define IMAGEW	80
#define IMAGEH	31

struct {
  unsigned int 	 width;
  unsigned int 	 height;
  unsigned int 	 bytes_per_pixel; /* 3:RGB, 4:RGBA */ 
  unsigned char	 pixel_data[80 * 31 * 3 + 1];
} base_image = {
  80, 31, 3,
  "#8\303)A\343$9\307\40""3\263\40""3\263\40""3\263\40""3\263\40""3\263\40""3"
  "\263\40""3\263\40""3\263\40""3\263\40""3\263\40""3\263\40""3\263\40""3\263"
  "\40""3\263\40""3\263\40""3\263\40""3\263\40""3\263\40""3\263\40""3\263\40"
  """3\263\40""3\263\40""3\263\40""3\263\40""3\263\40""3\263\40""3\263\40""3"
  "\263\40""3\263\40""3\263\40""3\263\40""3\263\40""3\263\40""3\263\40""3\263"
  "\40""3\263\40""3\263\40""3\263\40""3\263\40""3\263\40""3\263\40""3\263\40"
  """3\263\40""3\263\40""3\263\40""3\263\40""3\263\40""3\263\40""3\263\40""3"
  "\263\40""3\263\40""3\263\40""3\263\40""3\263\40""3\263\40""3\263\40""3\263"
  "\40""3\263\40""3\263\40""3\263\40""3\263\40""3\263\40""3\263\40""3\263\40"
  """3\263\40""3\263\40""3\263\40""3\263\40""3\263\40""3\263\40""3\263\40""3"
  "\263\40""3\263\40""3\263\40""3\263\40""3\263\34,\232,F\3631N\3761N\3760M"
  "\3760M\3760M\3760M\3760M\3760M\3760M\3760M\3760M\3760M\3760M\3760M\3760M"
  "\3760M\3760M\3760M\3760M\3760M\3760M\3760M\3760M\3760M\3760M\3760M\3760M"
  "\3760M\3760M\3760M\3760M\3760M\3760M\3760M\3760M\3760M\3760M\3760M\3760M"
  "\3760M\3760M\3760M\3760M\3760M\3760M\3760M\3760M\3760M\3760M\3760M\3760M"
  "\3760M\3760M\3760M\3760M\3760M\3760M\3760M\3760M\3760M\3760M\3760M\3760M"
  "\3760M\3760M\3760M\3760M\3760M\3760M\3760M\3760M\3760M\3760M\3760M\3760M"
  "\3760M\3760M\3760M\376(?\334%<\320.I\376-H\374-H\374-H\374-H\374-H\374-H"
  "\374-H\374-H\374-H\374-H\374-H\374-H\374-H\374-H\374-H\374-H\374-H\374-H"
  "\374-H\374-H\374-H\374-H\374-H\374-H\374-H\374-H\374-H\374-H\374-H\374-H"
  "\374-H\374-H\374-H\374-H\374-H\374-H\374-H\374-H\374-H\374-H\374-H\374-H"
  "\374-H\374-H\374-H\374-H\374-H\374-H\374-H\374-H\374-H\374-H\374-H\374-H"
  "\374-H\374-H\374-H\374-H\374-H\374-H\374-H\374-H\374-H\374-H\374-H\374-H"
  "\374-H\374-H\374-H\374-H\374-H\374-H\374-H\374-H\374-H\374-H\374,F\365\36"
  """0\246\"6\275,F\365+E\362*C\352*C\351*C\351*C\351*C\351*C\351*C\351*C\351"
  "*C\351*C\351*C\351*C\351*C\351*C\351*C\351*C\351*C\351*C\351*C\351*C\351"
  "*C\351*C\351*C\351*C\351*C\351*C\351*C\351*C\351*C\351*C\351*C\351*C\351"
  "*C\351*C\351*C\351*C\351*C\351*C\351*C\351*C\351*C\351*C\351*C\351*C\351"
  "*C\351*C\351*C\351*C\351*C\351*C\351*C\351*C\351*C\351*C\351*C\351*C\351"
  "*C\351*C\351*C\351*C\351*C\351*C\351*C\351*C\351*C\351*C\351*C\351*C\351"
  "*C\351*C\351*C\351*C\351*C\351*C\351)B\347'>\331\30&\206\"6\275,F\365+D\356"
  ")A\343'?\333'?\333'?\333'?\333'?\333'?\333'?\333'?\333'?\333'?\333'?\333"
  "'?\333'?\333'?\333'?\333'?\333'?\333'?\333'?\333'?\333'?\333'?\333'?\333"
  "'?\333'?\333'?\333'?\333'?\333'?\333'?\333'?\333'?\333'?\333'?\333'?\333"
  "'?\333'?\333'?\333'?\333'?\333'?\333'?\333'?\333'?\333'?\333'?\333'?\333"
  "'?\333'?\333'?\333'?\333'?\333'?\333'?\333'?\333'?\333'?\333'?\333'?\333"
  "'?\333'?\333'?\333'?\333'?\333'?\333'?\333'?\333'?\333'?\333'?\333'?\333"
  "'?\333'?\333&=\326$9\310\26$}\"6\275,F\365+D\356)A\343'>\331&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&<\321#9\305"
  "\26$}\"6\275,F\365+D\356)A\343'>\331&=\326&=\326&=\326&=\326&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&=\326&<\321#9\305\26$}\"6\275,F\365+D\356"
  ")A\343'>\331&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326"
  "&=\326&=\326&<\321#9\305\26$}\"6\275,F\365+D\356)A\343'>\331&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&<\321#9\305"
  "\26$}\"6\275,F\365+D\356)A\343'>\331&=\326&=\326&=\326&=\326&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&=\326&<\321#9\305\26$}\"6\275,F\365+D\356"
  ")A\343'>\331&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326"
  "&=\326&=\326&<\321#9\305\26$}\"6\275,F\365+D\356)A\343'>\331&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&<\321#9\305"
  "\26$}\"6\275,F\365+D\356)A\343'>\331&=\326&=\326%:\305\"2\214\"/v\"2\214"
  "%:\305&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&=\326&<\321#9\305\26$}\"6\275,F\365+D\356"
  ")A\343'>\331&=\326&=\326\"2\214\"/v\"/v\"/v\"2\214&=\326&=\326&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326"
  "&=\326&<\321#9\305\26$}\"6\275,F\365+D\356)A\343'>\331&=\326&=\326\"/v\""
  "/v\"/v\"/v\"/v&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&=\326&=\326&<\321#9\305\26$}\"6\275,F\365"
  "+D\356)A\343'>\331&=\326&=\326\"2\214\"/v\"/v\"/v\"2\214&=\326&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326%;\313$8\270"
  "$7\252\"/v\"/v\"/v\"/v#4\233$8\270%<\321&=\326&=\326&=\326&=\326&=\326&="
  "\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&="
  "\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&="
  "\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&="
  "\326&<\321#9\305\26$}\"6\275,F\365+D\356)A\343'>\331&=\326&=\326%:\305\""
  "2\214\"/v\"2\214%:\305&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&="
  "\326&<\324%:\302#4\233\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"2\211"
  "%:\302&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&<\321#9\305\26$}\"6\275,F\365+D\356)A\343"
  "'>\331&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326"
  "&=\326&=\326%<\321$8\270\"2\211\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\""
  "/v\"/v\"/v\"/v\"/v\"/v#4\233&<\324&=\326&=\326&=\326&=\326&=\326&=\326&="
  "\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&="
  "\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&="
  "\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&<\321#9\305\26$}\"6\275,F"
  "\365+D\356)A\343'>\331&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&="
  "\326&=\326%;\313$8\270\"2\211\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/"
  "v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v%;\313&=\326&=\326&=\326&=\326&"
  "=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&"
  "=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&"
  "=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&<\321#9\305\26$}\""
  "6\275,F\365+D\356)A\343'>\331&=\326&=\326&=\326&=\326&=\326&=\326%;\313%"
  ":\302$7\252\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\""
  "/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v$7\252&=\326&=\326&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326"
  "&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&<\321#9\305\26$}\"6\275"
  ",F\365+D\356)A\343&=\323%;\313%;\313$8\270$7\252\"2\211\"/v\"/v\"/v\"/v\""
  "/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\""
  "/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"2\211%<\321&=\326&=\326&=\326&=\326&"
  "=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&"
  "=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&"
  "=\326&=\326&=\326&=\326&=\326&=\326&<\321#9\305\26$}\36*h'6\206&5\202%2~"
  "#0x\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\""
  "/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\""
  "/v\"/v\"/v#4\233%<\321&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&="
  "\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&="
  "\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326%<\321%;\313$7\252\""
  "/~\40,m\24\33E\36*h^j\251\310\315\347%2~#0x\"/v\"/vR\\\223:F\204\"/v\"/v"
  "\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v"
  "\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"2\211$"
  "8\270%<\321&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&"
  "=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326&<\324%"
  ";\313$8\270$7\252\"/v\"/v\"/v\"/v\".t\40,m\24\33E\36*h'6\206\376\376\376"
  "%2~#0x\"/v\"/v\202\212\261R\\\223\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/"
  "v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/"
  "v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v$7\252$8\270%;\313%;\313"
  "&<\324&=\326&=\326&=\326&=\326&=\326&=\326&=\326&=\326%<\321%;\313%;\313"
  "$8\270$7\252#4\233\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\".t\40,m\24\33E\36"
  "*h'6\206\376\376\376%2~#0x\"/v\"/v\"/v\"/v\"/v\314\317\337\"/v\"/v\"/v\""
  "/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\""
  "/v\"/v\"/v\"/v\202\212\261kt\242\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v"
  "\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v"
  "\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\".t\40,m\24\33E\36*h'6\206\376"
  "\376\376r{\254\266\272\322kt\242:F\204\314\317\337kt\242R\\\223\375\375\375"
  "kt\242:F\204\"/v\"/v\"/v\233\240\300\202\212\261\264\270\320R\\\223kt\242"
  "\202\212\261\202\212\261kt\242\"/v\233\240\300\264\270\320:F\204\314\317"
  "\337kt\242R\\\223\375\375\375kt\242\264\270\320kt\242:F\204\314\317\337\233"
  "\240\300R\\\223\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\""
  "/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\""
  "/v\"/v\"/v\"/v\"/v\"/v\".t\40,m\24\33E\36*h'6\206\376\376\376%2~mv\244\264"
  "\270\320\"/v\264\270\320kt\242\"/v\375\375\375\"/v\"/v\"/v\"/v\233\240\300"
  "\202\212\261\"/vR\\\223kt\242\314\317\337\"/v\"/v\314\317\337R\\\223kt\242"
  "\264\270\320\"/v\264\270\320kt\242\"/v\375\375\375\"/vkt\242\264\270\320"
  "\"/v\264\270\320kt\242\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\""
  "/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\""
  "/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\".t\40,m\24\33E\36*h'6\206\376\376\376"
  "%2~mv\244\264\270\320\"/v\264\270\320kt\242\"/v\375\375\375\"/v\"/v\"/v\""
  "/v\264\270\320kt\242\"/v\"/vkt\242\264\270\320\"/v\"/v\264\270\320kt\242"
  "kt\242\264\270\320\"/v\264\270\320kt\242\"/v\375\375\375\"/vkt\242\264\270"
  "\320\"/v\264\270\320kt\242\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\""
  "/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\""
  "/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\"/v\".t\40,m\24\33E\36*h'6\206\376\376"
  "\376$2|kt\241\257\263\312!.s\257\263\312hq\236!.s\366\366\3669D\201!.s!."
  "s!.shq\236\227\234\273!.s!.s9D\201\306\311\331!.s!.s\306\311\3319D\201hq"
  "\236\257\263\312!.s\257\263\312hq\236!.s\366\366\366!.shq\236\257\263\312"
  "!.s\257\263\312\200\206\254!.s!.s!.s!.s!.s!.s!.s!.s!.s!.s!.s!.s!.s!.s!.s"
  "!.s!.s!.s!.s!.s!.s!.s!.s!.s!.s!.s!.s!.s!.s!.s!.s!.s!.s!.s!.s!.s!.s!.s!.s"
  "!.s\40+l\24\33E\36*h^j\251\302\307\340PZ\217w~\240\212\216\253IR\203\212"
  "\216\253u|\235\37*i\212\216\253\240\244\2714?v\37*i\37*i\37*i_g\220u|\235"
  "u|\2354?v4?vu|\235u|\2354?v\37*i\37*i\212\216\253_g\220\212\216\253u|\235"
  "IR\203\240\244\271IR\203u|\235\212\216\2534?v_g\220\240\244\271_g\220\37"
  "*i\37*i\37*i\37*i\37*i\37*i\37*i\37*i\37*i\37*i\37*i\37*i\37*i\37*i\37*i"
  "\37*i\37*i\37*i\37*i\37*i\37*i\37*i\37*i\37*i\37*i\37*i\37*i\37*i\37*i\37"
  "*i\37*i\37*i\37*i\37*i\37*i\37*i\37*i\37*i\37*j\37*j\24\33E\30!Q\37*j\26"
  "\36L\21\30<\20\26""6\20\26""6\20\26""6\20\26""6\20\26""6\20\26""6\20\26""6"
  "\20\26""6\20\26""6\20\26""6\20\26""6\20\26""6\20\26""6\20\26""6\20\26""6"
  "\20\26""6\20\26""6\20\26""6\20\26""6\20\26""6\20\26""6\20\26""6\20\26""6"
  "\20\26""6\20\26""6\20\26""6\20\26""6\20\26""6\20\26""6\20\26""6\20\26""6"
  "\20\26""6\20\26""6\20\26""6\20\26""6\20\26""6\20\26""6\20\26""6\20\26""6"
  "\20\26""6\20\26""6\20\26""6\20\26""6\20\26""6\20\26""6\20\26""6\20\26""6"
  "\20\26""6\20\26""6\20\26""6\20\26""6\20\26""6\20\26""6\20\26""6\20\26""6"
  "\20\26""6\20\26""6\20\26""6\20\26""6\20\26""6\20\26""6\20\26""6\20\26""6"
  "\20\26""6\20\26""6\20\26""6\20\26""6\20\26""6\20\26""6\20\26""6\20\26""6"
  "\20\26""6\20\26""6\20\26""6\20\26""8\20\26""6",
};


unsigned char num[10][8*8]= {

{ 0,0,0,1,1,0,0,0,
  0,0,1,0,0,1,0,0,
  0,0,1,0,0,1,0,0,
  0,0,1,0,0,1,0,0,
  0,0,1,0,0,1,0,0,
  0,0,1,0,0,1,0,0,
  0,0,1,0,0,1,0,0,
  0,0,0,1,1,0,0,0
},

{ 0,0,0,0,1,0,0,0,
  0,0,0,1,1,0,0,0,
  0,0,0,0,1,0,0,0,
  0,0,0,0,1,0,0,0,
  0,0,0,0,1,0,0,0,
  0,0,0,0,1,0,0,0,
  0,0,0,0,1,0,0,0,
  0,0,0,1,1,1,0,0
},

{ 0,0,0,1,1,0,0,0,
  0,0,1,0,0,1,0,0,
  0,0,0,0,0,1,0,0,
  0,0,0,0,0,1,0,0,
  0,0,0,0,1,0,0,0,
  0,0,0,1,0,0,0,0,
  0,0,1,0,0,0,0,0,
  0,0,1,1,1,1,0,0
},

{ 0,0,1,1,1,1,0,0,
  0,0,0,0,0,1,0,0,
  0,0,0,0,1,0,0,0,
  0,0,0,1,1,0,0,0,
  0,0,0,0,0,1,0,0,
  0,0,0,0,0,1,0,0,
  0,0,1,0,0,1,0,0,
  0,0,0,1,1,0,0,0
},

{ 0,0,0,0,0,1,0,0,
  0,0,0,0,1,1,0,0,
  0,0,0,1,0,1,0,0,
  0,0,0,1,0,1,0,0,
  0,0,1,0,0,1,0,0,
  0,0,1,1,1,1,1,0,
  0,0,0,0,0,1,0,0,
  0,0,0,0,0,1,0,0
},

{ 0,0,1,1,1,1,0,0,
  0,0,1,0,0,0,0,0,
  0,0,1,0,0,0,0,0,
  0,0,1,1,1,0,0,0,
  0,0,0,0,0,1,0,0,
  0,0,0,0,0,1,0,0,
  0,0,1,0,0,1,0,0,
  0,0,0,1,1,0,0,0
},

{ 0,0,0,1,1,1,0,0,
  0,0,1,0,0,0,0,0,
  0,0,1,0,0,0,0,0,
  0,0,1,0,1,0,0,0,
  0,0,1,1,0,1,0,0,
  0,0,1,0,0,1,0,0,
  0,0,1,0,0,1,0,0,
  0,0,0,1,1,0,0,0
},

{ 0,0,1,1,1,1,0,0,
  0,0,0,0,0,1,0,0,
  0,0,0,0,0,1,0,0,
  0,0,0,0,1,0,0,0,
  0,0,0,0,1,0,0,0,
  0,0,0,1,0,0,0,0,
  0,0,0,1,0,0,0,0,
  0,0,0,1,0,0,0,0
},

{ 0,0,0,1,1,1,0,0,
  0,0,1,0,0,1,0,0,
  0,0,1,0,0,1,0,0,
  0,0,0,1,1,0,0,0,
  0,0,0,1,1,0,0,0,
  0,0,1,0,0,1,0,0,
  0,0,1,0,0,1,0,0,
  0,0,0,1,1,0,0,0
},

{ 0,0,0,1,1,0,0,0,
  0,0,1,0,0,1,0,0,
  0,0,1,0,0,1,0,0,
  0,0,1,0,0,1,0,0,
  0,0,0,1,1,1,0,0,
  0,0,0,0,0,1,0,0,
  0,0,1,0,0,1,0,0,
  0,0,0,1,1,0,0,0
}

};

/* HIDDEN will send back host a 1x1 transparent gif image */
const unsigned char voidgif[43]={
 0x47, 0x49, 0x46, 0x38, 0x39, 0x61, 0x1, 0x0, 0x1, 0x0, 0x80, 0x0, 0x0, 0xff, 0xff,
 0xff, 0xff, 0xff, 0xff, 0x21, 0xf9, 0x4, 0x1, 0xa, 0x0, 0x1, 0x0, 0x2c, 0x0, 0x0, 
 0x0, 0x0, 0x1, 0x0, 0x1, 0x0, 0x0, 0x2, 0x2, 0x4c, 0x1, 0x0, 0x3b
};

#endif
